using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp11
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int n, l, brStalaktita = -1;
            string[] ulaz = Console.ReadLine().Split(' ');
            n = int.Parse(ulaz[0]);
            l = int.Parse(ulaz[1]);
            int[] stalaktiti = new int[n];
            ulaz = Console.ReadLine().Split(' ');
            for (int i = 0; i < n; i++) 
            {
                stalaktiti[i] = int.Parse(ulaz[i]);
                if (stalaktiti[i] <= l) 
                {
                    brStalaktita = i + 1;
                    break;
                }
            }
           
            Console.WriteLine(brStalaktita);
        }
    }
}